## ngspice 37+ds

=== debian/changelog ===
ngspice (37+ds-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 07 Jun 2022 19:55:16 +0200

ngspice (37+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 Jun 2022 21:47:07 +0200

ngspice (37+ds-1) unstable; urgency=medium

  * [7b8d014] d/gbp.conf: Remove some files from filtering
    Due information from the upstream author Holger Vogt some files are not
    needed to get removed. The files previously removed are licensed as
    Public Domain.
  * [527ed9b] New upstream version 37+ds
  * [2229711] Drop patch queue
    No patching of the source is currently needed.
    removed patch (fixed upstream):
    fixes/spelling-Fix-misspelled-word-Instnace.patch
    fixes/tcl-testbench-x-.sh-Use-bash-within-shebang.patch
  * [2e83469] d/ngspice.docs: Add upstream notes about lib models
  * [e86af9e] d/copyright: Update info for model libraries

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 May 2022 18:12:42 +0200

ngspice (36+ds-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Jan 2022 19:40:35 +0100

ngspice (36+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Jan 2022 19:38:04 +0100

ngspice (35+ds-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 12:44:03 +0200

ngspice (34+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports
  * [dcd9c72] Revert "d/control: increase dh version to 13"
  * [c9b5122] d/libngspice0.symbols: adjust symbol list for 34+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 02 Feb 2021 17:28:46 +0100
