## ngspice 38+ds

=== debian/changelog ===
ngspice (38+ds-1) unstable; urgency=medium

  * [2717ce3] New upstream version 38+ds
  * [caf5638] d/copyright: Incorporate upstream changes
  * [e337314] d/control: Update upstream Homepage data
  * [8cfef52] d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * [20c0d94] d/libngspice0.symbols: Adjust symbol list for 38+ds
  * [bfa010d] d/control: Remove obsolete field Autobuild

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Oct 2022 19:50:03 +0200
