## ngspice 39.3%2Bds

=== debian/changelog ===
ngspice (39.3+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 14 Feb 2023 14:36:24 +0000

ngspice (39.3+ds-1) unstable; urgency=medium

  * [a013609] New upstream version 39.3+ds
  * [0901cae] d/control: Increase Standards-Version to 4.6.2
    No further changes needed.
  * [faf59a7] d/copyright: Update year data, remove non existing data
  * [8fde77f] d/control: Use libncurses-dev within Build-Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 14:44:35 +0100

ngspice (38+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Nov 2022 19:22:51 +0100
