=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  flex,
  gfortran,
  libedit-dev,
- libncurses5-dev,
+ libncurses-dev,
  libtool,
  libxaw7-dev,
  tcl8.6,
@@ -31,7 +31,7 @@
  texlive-plain-generic,
  texlive-science,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: https://ngspice.sourceforge.io
