## ngspice 40+ds

=== debian/changelog ===
ngspice (40+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * [6f31ef4] d/gbp.conf: Adjust to target bookworm

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Jul 2023 06:23:25 +0200

ngspice (40+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 12 Jun 2023 18:33:44 +0200

ngspice (40+ds-1) experimental; urgency=medium

  * [d6ed660] New upstream version 40+ds
  * [80cacf8] d/control: ngspice - Remove dep on install-info
    (Closes: #1013836)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Apr 2023 11:55:48 +0200
