## ngspice 41+ds

=== debian/changelog ===
ngspice (41+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Aug 2023 07:34:02 +0200

ngspice (41+ds-1) unstable; urgency=medium

  * [492e094] New upstream version 41+ds

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Aug 2023 21:06:03 +0200
