=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
 Package: ngspice
 Architecture: any
 Depends:
- dpkg (>= 1.15.4) | install-info,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
