## ngspice 42%2Bds

=== debian/changelog ===
ngspice (42+ds-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:15:14 +0000

ngspice (42+ds-3) unstable; urgency=medium

  * [6cc983c] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes/main.c-Include-.-misc-tilde.h-if-HAVE_BSDEDITLINE-is-set.patch
    (Closes: #1066482)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Mar 2024 06:49:30 +0100

ngspice (42+ds-2) unstable; urgency=medium

  * [24ea4b5] d/rules: Move to override_dh_installexamples-arch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Dec 2023 08:48:54 +0100

ngspice (42+ds-1) unstable; urgency=medium

  * [cbf8ec8] New upstream version 42+ds
  * [8952631] Add patch from patch queue branch
    Added patches:
    fixes/spelling-Fix-misspelled-word-Onkown.patch
    fixes/spelling-Fix-misspelled-word-initalization.patch
    fixes/spelling-Fix-misspelled-word-positve.patch
  * [97a0aa2] d/rules: Add new configure options
    Added new configure options, using now --enable-klu and --enable-osdi
    additional to the existing ones.
  * [cc2da3e] d/control: Extend package description due OSDI interface
  * [1ec77cf] d/ngspice.examples: Add sequencer file for ngspice
  * [a0f6797] d/tclspice.examples: Add sequencer for tclspice
  * [153ff3f] d/control: Move parts over to override_dh_installexamples
  * [dd8a8cc] d/libngspice0.symbols: Adjust symbol list for 42+ds
  * [ae06873] d/rules: Add target override_dh_cleani
    (Closes: #1046496)
  * [e6abfce] d/ngspice.install.in: Adding new shipped script
  * [bc2076b] d/tclspice.lintian-overrides: Add additional override
  * [33fd1ce] d/libngspice0.lintian-overrides: Add override

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Dec 2023 20:56:35 +0100
