=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ngspice
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>,
@@ -46,7 +47,8 @@
 Description: Spice circuit simulator
  NGSpice is a mixed-level/mixed-signal circuit simulator.  Its code is based on
  three open source software packages:
- Spice3f5, Cider1b1 and Xspice.
+ Spice3f5, Cider1b1 and Xspice. It supports compiled Verilog-A models through
+ the built-in OSDI interface.
  .
  NGSpice is part of gEDA project, a full GPL'd suite of Electronic Design
  Automation tools.
@@ -61,7 +63,8 @@
 Description: Spice circuit simulator - development files for ngspice and tclspice
  NGSpice is a mixed-level/mixed-signal circuit simulator. Its code is based on
  three open source software packages:
- Spice3f5, Cider1b1 and Xspice.
+ Spice3f5, Cider1b1 and Xspice. It supports compiled Verilog-A models through
+ the built-in OSDI interface.
  .
  Use this package in case you need to compile own Xspice models as a dynamic
  library with a file extension *.cm. Those files need to be placed into
@@ -85,7 +88,8 @@
  library libspice.
  All spice directives are available as Tcl functions and it features some new
  commands that are useful for the integration into the Tcl environment. It
- includes Xspice.
+ includes Xspice. It supports also compiled Verilog-A models through the
+ built-in OSDI interface.
  GUI is handled by Tk using BLT vectors.
 
 Package: ngspice-doc
@@ -97,7 +101,8 @@
 Description: Documentation for the NGspice circuit simulator
  NGspice is a mixed-level/mixed-signal circuit simulator.
  Its code is based on three open source software packages:
- Spice3f5, Cider1b1 and Xspice.
+ Spice3f5, Cider1b1 and Xspice. It supports compiled Verilog-A models through
+ the built-in OSDI interface.
  .
  NGSpice is part of gEDA project, a full GPL'd suite of Electronic Design
  Automation tools.
@@ -114,7 +119,8 @@
 Description: Spice circuit simulator - library
  NGspice is a mixed-level/mixed-signal circuit simulator. Its code is based on
  three open source software packages:
- Spice3f5, Cider1b1 and Xspice.
+ Spice3f5, Cider1b1 and Xspice. It supports compiled Verilog-A models through
+ the built-in OSDI interface.
  .
  This package contains the NGSpice library.
 
@@ -128,6 +134,7 @@
 Description: Spice circuit simulator - development files for libngspice
  NGSpice is a mixed-level/mixed-signal circuit simulator. Its code is based on
  three open source software packages:
- Spice3f5, Cider1b1 and Xspice.
+ Spice3f5, Cider1b1 and Xspice. It supports compiled Verilog-A models through
+ the built-in OSDI interface.
  .
  This package contains the development files for NGSpice.
