## ngspice 42+ds

=== debian/changelog ===
ngspice (42+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 05 Jan 2024 19:40:55 +0100
