## ngspice 43+ds

=== debian/changelog ===
ngspice (43+ds-1) unstable; urgency=medium

  * [27ef54f] New upstream version 43+ds
  * [a66babc] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes/examples-Turn-some-file-encoding-into-UTF-8.patch
    Removed patches (included upstream):
    fixes/main.c-Include-.-misc-tilde.h-if-HAVE_BSDEDITLINE-is-set.patch
    fixes/spelling-Fix-misspelled-word-Unkown.patch
    fixes/spelling-Fix-misspelled-word-initalization.patch
    fixes/spelling-Fix-misspelled-word-positve.patch
  * [915ca1a] d/control: Add B-D on libreadline-dev
  * [2f34021] d/libngspice0.install.in: Be more lazy on lib versions
  * [5016dbb] d/libngspice0.symbols: Add new symbol
  * [0b39323] d/ngspice.lintian-overrides: Add files to ignore

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 16 Jul 2024 16:54:50 +0200
