=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  gfortran,
  libedit-dev,
  libncurses-dev,
+ libreadline-dev,
  libtool,
  libxaw7-dev,
  tcl8.6,
