## ngspice 44+ds

=== debian/changelog ===
ngspice (44+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 13:16:43 +0200

ngspice (44+ds-1) unstable; urgency=medium

  * [806a117] New upstream version 44+ds
  * [fe79eb4] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes//Make-source-buildable-out-of-tree.patch
    Dropped patch (included upstream):
    fixes/examples-Turn-some-file-encoding-into-UTF-8.patch
    Renamed patch:
    spelling-Fix-misspelled-word-unkownwq.patch
    -> spelling-Fix-misspelled-word-unkown.patch
  * [68e8af9] ngspice.docs: Update files to install
  * [80d4c1e] d/rules: Also remove *.a files in debian/tmp
  * [97161f0] d/ngspice.install.in: Install new *.so files
  * [0eca610] d/control: Increase Standards-Version to 4.7.0
    No further changes needed.
  * [3f35be6] d/libngspice0.lintian-overrides: Drop sequencer file
  * [08f1716] d/tclspice.lintian-overrides: Adjust content
  * [a8fe0b4] d/libngspice0.symbols: Add new symbols in 44+ds
  * [4506cc6] d/rules: Remove execution rights on *.so and *.vpi files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 07 Jan 2025 18:20:59 +0200

ngspice (43+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 13:16:43 +0200
