=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  texlive-plain-generic,
  texlive-science,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: https://ngspice.sourceforge.io
