=== debian/changelog ===
ngspice (44.2+ds-1) unstable; urgency=medium

  * [edd6342] New upstream version 44.2+ds
  * [1faaeab] Rebuild patch queue from patch-queue branch
    Dropped patch (included upstream):
    fixes/Make-source-buildable-out-of-tree.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Jan 2025 10:19:15 +0200
