=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
 	--enable-cider \
+	--enable-klu \
 	--enable-maintainer-mode \
 	--enable-openmp \
+	--enable-osdi \
 	--enable-pss \
 	--enable-xspice \
 	--disable-adms \
@@ -62,6 +64,11 @@
 
 %:
 	dh $@
+
+override_dh_clean:
+	dh_clean
+	rm -f doc/Makefile.in doc/aclocal.m4 doc/configure
+	rm -rf debian/build
 
 override_dh_auto_configure-arch:
 	mkdir -p $(DEB_BUILD_DIR)
@@ -133,8 +140,10 @@
 	# installing libngspice library #
 	#################################
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/libngspice
-	# remove useless *.la files
-	find debian/tmp/ -type f -name "*.la" -exec rm {} \;
+	# remove useless *.a and *.la files
+	find debian/tmp/ -type f \( -name "*.a" -o -name "*.la" \) -exec rm {} \;
+	# remove potential execution rights on *.so and *.vpi files
+	find debian/tmp/ -type f \( -name "*.so" -o -name "*.vpi" \) -exec chmod -x {} \;
 
 override_dh_install-indep:
 	#
@@ -149,11 +158,16 @@
 	# Ignore the config.h file, it shouldn't be here anyway.
 	rm -f debian/tmp/usr/include/config.h
 	dh_install
+
+override_dh_installexamples-arch:
+	dh_installexamples
 	# The example scripts contains a wrong path to the libspice0 library after
 	# we have installed them into the package.
 	for file in `find debian/tclspice/usr/share/doc/tclspice/examples -type f \( -name "*.sh" -o -name "*.tcl" \)`; do \
 	    sed -i 's/^load .*/load \/usr\/lib\/$(DEB_HOST_MULTIARCH)\/libspice.so.0/g' $$file ;\
 	    sed -i 's/^spice::codemodel ..\/..\/..\/src\/xspice\/icm\/spice2poly\/spice2poly.cm/spice::codemodel \/usr\/lib\/$(DEB_HOST_MULTIARCH)\/ngspice\/spice2poly.cm/g' $$file ;\
 	done
+	mv debian/ngspice/usr/share/doc/ngspice/examples/optran/models/Models-for-Debian.txt debian/ngspice/usr/share/doc/ngspice/
+	find debian/ngspice/usr/share/doc/ngspice/examples -type f -exec chmod -x {} \;
 
 override_dh_auto_test:
